#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import sys
import logging

from PyQt5 import QtWidgets

from colourterm.mainwindow import MainWindow
from colourterm.resources import init_resources, cleanup_resources

if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG)
    app = QtWidgets.QApplication(sys.argv)
    app.setOrganizationName('Snyman')
    app.setOrganizationDomain('snyman.info')
    app.setApplicationName('ColourTerm')
    init_resources()
    main_window = MainWindow()
    main_window.show()
    exit_code = app.exec()
    cleanup_resources()
    sys.exit(exit_code)
