"""
This module contains a child class of QWebView in order to reimplement the wheelEvent event handler.
"""
from PyQt5 import QtCore, QtWebKitWidgets


class CWebView(QtWebKitWidgets.QWebView):
    """
    This is a reimplementation of QWebView in order to override the wheelEvent method.
    """
    scrolled = QtCore.pyqtSignal()

    def wheelEvent(self, event):
        self.scrolled.emit()
        super().wheelEvent(event)
